
/*
 *    MCreator note: This file will be REGENERATED on each build.
 */
package net.mcreator.airysmodpartii.init;

import net.neoforged.neoforge.registries.DeferredRegister;
import net.neoforged.neoforge.registries.DeferredHolder;
import net.neoforged.neoforge.event.entity.RegisterSpawnPlacementsEvent;
import net.neoforged.neoforge.event.entity.EntityAttributeCreationEvent;
import net.neoforged.fml.common.EventBusSubscriber;
import net.neoforged.bus.api.SubscribeEvent;

import net.minecraft.world.entity.MobCategory;
import net.minecraft.world.entity.EntityType;
import net.minecraft.world.entity.Entity;
import net.minecraft.core.registries.Registries;

import net.mcreator.airysmodpartii.entity.MaEntityProjectile;
import net.mcreator.airysmodpartii.entity.MaEntity;
import net.mcreator.airysmodpartii.AirysModPartIiMod;

@EventBusSubscriber(bus = EventBusSubscriber.Bus.MOD)
public class AirysModPartIiModEntities {
	public static final DeferredRegister<EntityType<?>> REGISTRY = DeferredRegister.create(Registries.ENTITY_TYPE, AirysModPartIiMod.MODID);
	public static final DeferredHolder<EntityType<?>, EntityType<MaEntity>> MA = register("ma", EntityType.Builder.<MaEntity>of(MaEntity::new, MobCategory.MONSTER).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(3)

			.sized(0.6f, 1.8f));
	public static final DeferredHolder<EntityType<?>, EntityType<MaEntityProjectile>> MA_PROJECTILE = register("projectile_ma",
			EntityType.Builder.<MaEntityProjectile>of(MaEntityProjectile::new, MobCategory.MISC).setShouldReceiveVelocityUpdates(true).setTrackingRange(64).setUpdateInterval(1).sized(0.5f, 0.5f));

	// Start of user code block custom entities
	// End of user code block custom entities
	private static <T extends Entity> DeferredHolder<EntityType<?>, EntityType<T>> register(String registryname, EntityType.Builder<T> entityTypeBuilder) {
		return REGISTRY.register(registryname, () -> (EntityType<T>) entityTypeBuilder.build(registryname));
	}

	@SubscribeEvent
	public static void init(RegisterSpawnPlacementsEvent event) {
		MaEntity.init(event);
	}

	@SubscribeEvent
	public static void registerAttributes(EntityAttributeCreationEvent event) {
		event.put(MA.get(), MaEntity.createAttributes().build());
	}
}
